<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="MilterMacrosRequests">
<refmeta>
<refentrytitle role="top_of_page" id="MilterMacrosRequests.top_of_page">MilterMacrosRequests</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterMacrosRequests</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="MilterMacrosRequests.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>                    <link linkend="MilterMacrosRequests-struct">MilterMacrosRequests</link>;
<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> * <link linkend="milter-macros-requests-new">milter_macros_requests_new</link>       (void);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-macros-requests-set-symbols">milter_macros_requests_set_symbols</link>  (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_symbol,
                                                         ...);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-macros-requests-set-symbols-va-list">milter_macros_requests_set_symbols_va_list</link>
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_symbol,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> args);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-macros-requests-set-symbols-string-array">milter_macros_requests_set_symbols_string_array</link>
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **strings);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-macros-requests-get-symbols">milter_macros_requests_get_symbols</link>  (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command);
<link linkend="GHashTable"><returnvalue>GHashTable</returnvalue></link> *        <link linkend="milter-macros-requests-get-all-symbols">milter_macros_requests_get_all_symbols</link>
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-macros-requests-merge">milter_macros_requests_merge</link>        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *dest,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *src);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-macros-requests-foreach">milter_macros_requests_foreach</link>      (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="GHFunc"><returnvalue>GHFunc</returnvalue></link> func,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);
</synopsis>
</refsynopsisdiv>
<refsect1 id="MilterMacrosRequests.object-hierarchy" role="object_hierarchy">
<title role="object_hierarchy.title">オブジェクト階層</title>
<synopsis>
  <link linkend="GObject">GObject</link>
   +----MilterMacrosRequests
</synopsis>
</refsect1>

<refsect1 id="MilterMacrosRequests.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="MilterMacrosRequests.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MilterMacrosRequests-struct" role="struct">
<title>MilterMacrosRequests</title>
<indexterm zone="MilterMacrosRequests-struct"><primary>MilterMacrosRequests</primary></indexterm>
<programlisting>typedef struct _MilterMacrosRequests MilterMacrosRequests;</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-macros-requests-new" role="function">
<title>milter_macros_requests_new ()</title>
<indexterm zone="milter-macros-requests-new"><primary>milter_macros_requests_new</primary></indexterm>
<programlisting><link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> * milter_macros_requests_new       (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-set-symbols" role="function">
<title>milter_macros_requests_set_symbols ()</title>
<indexterm zone="milter-macros-requests-set-symbols"><primary>milter_macros_requests_set_symbols</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_macros_requests_set_symbols  (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_symbol,
                                                         ...);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>first_symbol</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>...</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-set-symbols-va-list" role="function">
<title>milter_macros_requests_set_symbols_va_list ()</title>
<indexterm zone="milter-macros-requests-set-symbols-va-list"><primary>milter_macros_requests_set_symbols_va_list</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_macros_requests_set_symbols_va_list
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_symbol,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> args);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>first_symbol</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>args</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-set-symbols-string-array" role="function">
<title>milter_macros_requests_set_symbols_string_array ()</title>
<indexterm zone="milter-macros-requests-set-symbols-string-array"><primary>milter_macros_requests_set_symbols_string_array</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_macros_requests_set_symbols_string_array
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> **strings);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>strings</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-get-symbols" role="function">
<title>milter_macros_requests_get_symbols ()</title>
<indexterm zone="milter-macros-requests-get-symbols"><primary>milter_macros_requests_get_symbols</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_macros_requests_get_symbols  (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="MilterCommand"><returnvalue>MilterCommand</returnvalue></link> command);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>command</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-get-all-symbols" role="function">
<title>milter_macros_requests_get_all_symbols ()</title>
<indexterm zone="milter-macros-requests-get-all-symbols"><primary>milter_macros_requests_get_all_symbols</primary></indexterm>
<programlisting><link linkend="GHashTable"><returnvalue>GHashTable</returnvalue></link> *        milter_macros_requests_get_all_symbols
                                                        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-merge" role="function">
<title>milter_macros_requests_merge ()</title>
<indexterm zone="milter-macros-requests-merge"><primary>milter_macros_requests_merge</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_macros_requests_merge        (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *dest,
                                                         <link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *src);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>dest</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>src</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-macros-requests-foreach" role="function">
<title>milter_macros_requests_foreach ()</title>
<indexterm zone="milter-macros-requests-foreach"><primary>milter_macros_requests_foreach</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_macros_requests_foreach      (<link linkend="MilterMacrosRequests"><returnvalue>MilterMacrosRequests</returnvalue></link> *requests,
                                                         <link linkend="GHFunc"><returnvalue>GHFunc</returnvalue></link> func,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>requests</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>func</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>user_data</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
